#######################################################################################
###### This package handles the interaction with the Contivit box via Telnet ##########
#######################################################################################
package ERS_data;
our $VERSION = '0.01';

use strict;

#################################### init Variables ###################################


#######################################################################################
################################ Subroutines ##########################################
#######################################################################################
#new();
sub new {
	my $class = shift;
	my $ip = shift;
	my $debug = shift || 0;
	my $self = {};
	
	bless($self, $class);
	
	$self->{'_IP'} = $ip;
	$self->{'OID'} = undef;								# determineOID
	$self->{'Name'} = undef;							# 
	$self->{'Description'} = undef;							# 
	$self->{'Software'} = undef;							# ERS SW
	$self->{'Type'} = undef;							# ERS HW type
	$self->{'debug'} = $debug;
	$self->{'Instance'} = [];
	$self->{'InstanceCount'} = 0;
	
	
	return $self;
}

#######################################################################################
#DESTROY();
sub DESTROY {
	my $self = shift;
	
#	print "$_ = ".$self->{$_}."\n" foreach (keys %{$self});
}

#######################################################################################
#setValue();
sub setValue {
	my $self = shift;
	my $key = shift;
	my $value = shift;
	
	print "[$self->{_IP}] DEBUG: set key '$key' = '$value'\n" if $self->{'debug'};
	$self->{$key} = $value;
}

#######################################################################################
#getValue();
sub getValue {
	my $self = shift;
	my $key = shift;
	
	return $self->{$key};
}

#######################################################################################
#_prepRelease();
sub _prepRelease {
	my $softIn = shift;
	my $softOut;
	
	foreach my $digit (split(/\./, $softIn)){
		while(length($digit) < 3){
			$digit = '0'.$digit;
		}
		$softOut .= $digit;
	}
	$softOut =~ s/^0+//;
	
	return $softOut;
}

#######################################################################################
#regInstance();
sub regInstance {
	my $self = shift;
	my $value = shift;
	
	push(@{$self->{'Instance'}}, $value);
	$self->{'InstanceCount'}++;
	print "[$self->{_IP}] register 'Instance' = $value\n" if $self->{'debug'};
}

1;